<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behav Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="enumloopback__adapter__fifo.html">loopback_adapter_fifo</a></li><li class="navelem"><a class="el" href="classloopback__adapter__fifo_1_1behav.html">behav</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behav Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classloopback__adapter__fifo_1_1behav-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a17e6105e30c46ec60cc5a1183a576904"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17e6105e30c46ec60cc5a1183a576904"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a17e6105e30c46ec60cc5a1183a576904">PROCESS_1016</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">wr_addr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rd_addr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">full</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9e052df522bcb7d5f1c0d92e38c7078a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e052df522bcb7d5f1c0d92e38c7078a"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a9e052df522bcb7d5f1c0d92e38c7078a">PROCESS_1017</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab076eb720a3233e8267dc502a5162632"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab076eb720a3233e8267dc502a5162632"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#ab076eb720a3233e8267dc502a5162632">PROCESS_1018</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3f93cf6e35156a0bac8e0578f51a117b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f93cf6e35156a0bac8e0578f51a117b"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a3f93cf6e35156a0bac8e0578f51a117b">PROCESS_1019</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rd_addr</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_valid_r</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">next_rd_addr</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a65ee2fbecd7905a2c108bbdf378d3f40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65ee2fbecd7905a2c108bbdf378d3f40"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a65ee2fbecd7905a2c108bbdf378d3f40">PROCESS_1020</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6370b37b17e38607a60706f6f257057f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6370b37b17e38607a60706f6f257057f"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a6370b37b17e38607a60706f6f257057f">PROCESS_1425</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">wr_addr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rd_addr</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">full</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac6fa926204c00357456ed2eef2e62b7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6fa926204c00357456ed2eef2e62b7e"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#ac6fa926204c00357456ed2eef2e62b7e">PROCESS_1426</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac712404a350e2f29c0804d60415e4a20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac712404a350e2f29c0804d60415e4a20"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#ac712404a350e2f29c0804d60415e4a20">PROCESS_1427</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a891df0e690242d7c9e10633bb5088d84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a891df0e690242d7c9e10633bb5088d84"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a891df0e690242d7c9e10633bb5088d84">PROCESS_1428</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rd_addr</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_ready</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">out_valid_r</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">next_rd_addr</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac5ebbdbe91ac7d02d47f54127b0e761b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5ebbdbe91ac7d02d47f54127b0e761b"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#ac5ebbdbe91ac7d02d47f54127b0e761b">PROCESS_1429</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a809ba5b839c713c0cd762c5fc01f7c32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a809ba5b839c713c0cd762c5fc01f7c32"></a>
<b><a class="el" href="classloopback__adapter__fifo_1_1behav.html#a809ba5b839c713c0cd762c5fc01f7c32">ram_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DEPTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DATA_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a7b8f03fa7574d720f979c204d8be8e2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b8f03fa7574d720f979c204d8be8e2c"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a7b8f03fa7574d720f979c204d8be8e2c">mem</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ram_type</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aacd6a81c814f90f1127b60729da30fb0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aacd6a81c814f90f1127b60729da30fb0"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#aacd6a81c814f90f1127b60729da30fb0">wr_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8670bc683b166f5919eb2576222e6b65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8670bc683b166f5919eb2576222e6b65"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a8670bc683b166f5919eb2576222e6b65">rd_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a397e44af494fdc96221bfcc677058a9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a397e44af494fdc96221bfcc677058a9a"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a397e44af494fdc96221bfcc677058a9a">next_wr_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aee585d60e464286f705744792840aa80"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee585d60e464286f705744792840aa80"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#aee585d60e464286f705744792840aa80">next_rd_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33619a38c415748849fce06cd50c50a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33619a38c415748849fce06cd50c50a2"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a33619a38c415748849fce06cd50c50a2">mem_rd_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35453c81e0c2194286a992a3d95cb6d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35453c81e0c2194286a992a3d95cb6d0"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a35453c81e0c2194286a992a3d95cb6d0">empty</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abe9da0a5a5e13ce05cb8611c9485ff38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe9da0a5a5e13ce05cb8611c9485ff38"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#abe9da0a5a5e13ce05cb8611c9485ff38">full</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af9c3eb1fd0acd9c81ebf6078cb17bd2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9c3eb1fd0acd9c81ebf6078cb17bd2b"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#af9c3eb1fd0acd9c81ebf6078cb17bd2b">out_ready_vector</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeadbc0ce9b66517f8fde156199772ec1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeadbc0ce9b66517f8fde156199772ec1"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#aeadbc0ce9b66517f8fde156199772ec1">j</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a20e833ab694c1e25dd85a1988542574a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20e833ab694c1e25dd85a1988542574a"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a20e833ab694c1e25dd85a1988542574a">enable_reading</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1150598de743f77b39d856c649083c5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1150598de743f77b39d856c649083c5e"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#a1150598de743f77b39d856c649083c5e">out_valid_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae92f9f5fa63c431e84f5a04c0b204ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae92f9f5fa63c431e84f5a04c0b204ea"></a>
<a class="el" href="classloopback__adapter__fifo_1_1behav.html#aae92f9f5fa63c431e84f5a04c0b204ea">in_ready_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2loopback__adapter__fifo_8vhd_source.html#l00077">77</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2loopback__adapter__fifo_8vhd_source.html">loopback_adapter_fifo.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2loopback__adapter__fifo_8vhd_source.html">loopback_adapter_fifo.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2loopback__adapter__fifo_8vhd_source.html">loopback_adapter_fifo.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
